Firestorm
  1. Firestorm
  2. FIRE-7121

Firestorm crashes with the latest Fedora 17 openssl package (openssl-1.0.0j-2.fc17.i686)

    Details

    • Type: Bug Bug
    • Status: Open Open
    • Priority: Major Major
    • Resolution: Unresolved
    • Affects Version/s: Phoenix Firestorm 4.1.1
    • Component/s: None
    • Labels:
    • Environment:
    • SL Avatar Name:
      Keiran Rotaru
    • Reported In:
      Firestorm 4.1.1

      Description

      Firestorm was working perfectly on Fedora 17 until I ran yum update today, like I do on a daily basis... I'm assuming there's some kind of incompatibility with the openssl package, which doesn't make much sense when you consider that Firestorm comes packaged with its own libraries, ignoring most of the shared ones... I'm open to suggestions, which hopefully don't involve lobotomising my package manager.

      Logs attached.

      Error:
      [keiran@hex ~]$ /opt/firestorm-install/firestorm
      64-bit Linux detected.
      Running from /opt/firestorm-install
      /opt/firestorm-install/firestorm: line 89: ./etc/register_hopprotocol.sh: No such file or directory
      which: no kde-config in (/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/home/keiran/.local/bin:/home/keiran/bin)
      /opt/firestorm-install/firestorm: line 152: 9746 Segmentation fault (core dumped) $LL_WRAPPER bin/do-not-directly-run-firestorm-bin "$

      {gridargs[@]}

      " "$@"

          • Bad shutdown ($LL_RUN_ERR). ***
            ERROR: ld.so: object '/opt/firestorm-install/lib/libcrypto.so.1.0.0' from LD_PRELOAD cannot be preloaded: ignored.
            ERROR: ld.so: object '/opt/firestorm-install/lib/libssl.so.1.0.0' from LD_PRELOAD cannot be preloaded: ignored.

      ERROR: ld.so: object '/opt/firestorm-install/lib/libcrypto.so.1.0.0' from LD_PRELOAD cannot be preloaded: ignored.
      ERROR: ld.so: object '/opt/firestorm-install/lib/libssl.so.1.0.0' from LD_PRELOAD cannot be preloaded: ignored.
      You are running the Firestorm Viewer on a x86_64 platform. The
      most common problems when launching the Viewer (particularly
      'bin/do-not-directly-run-firestorm-bin: not found' and 'error while
      loading shared libraries') may be solved by installing your Linux
      distribution's 32-bit compatibility packages.
      For example, on Ubuntu and other Debian-based Linuxes you might run:
      $ sudo apt-get install ia32-libs ia32-libs-gtk ia32-libs-kde ia32-libs-sdl

      Here's a complete list of what changed:
      [keiran@hex ~]$ sudo awk '/Jul 23/

      {print $4,$5}

      ' /var/log/yum.log
      Installed: 1:dmidecode-2.11-8.fc17.x86_64
      Installed: libssh2-1.4.1-2.fc17.i686
      Installed: libidn-1.24-1.fc17.i686
      Installed: libcurl-7.24.0-4.fc17.i686
      Updated: kernel-headers-3.4.6-2.fc17.x86_64
      Updated: tzdata-2012c-2.fc17.noarch
      Updated: glibc-common-2.15-51.fc17.x86_64
      Updated: nss-softokn-freebl-3.13.5-1.fc17.x86_64
      Updated: glibc-2.15-51.fc17.x86_64
      Updated: nspr-4.9.1-2.fc17.x86_64
      Updated: glib2-2.32.4-1.fc17.x86_64
      Updated: coreutils-8.15-7.fc17.x86_64
      Updated: 1:libreoffice-ure-3.5.5.3-2.fc17.x86_64
      Updated: nss-util-3.13.5-1.fc17.x86_64
      Updated: gtk2-2.24.11-1.fc17.x86_64
      Updated: libjpeg-turbo-1.2.1-1.fc17.x86_64
      Updated: 1:openssl-1.0.0j-2.fc17.x86_64
      Installed: sofia-sip-1.12.11-3.fc17.x86_64
      Updated: selinux-policy-3.10.0-140.fc17.noarch
      Installed: sofia-sip-glib-1.12.11-3.fc17.x86_64
      Installed: telepathy-rakia-0.7.4-1.fc17.x86_64
      Updated: nss-softokn-3.13.5-1.fc17.x86_64
      Updated: nss-3.13.5-1.fc17.x86_64
      Updated: nss-sysinit-3.13.5-1.fc17.x86_64
      Updated: nss-tools-3.13.5-1.fc17.x86_64
      Updated: xulrunner-14.0.1-3.fc17.x86_64
      Updated: redhat-lsb-submod-security-4.1-5.fc17.x86_64
      Updated: man-db-2.6.0.2-7.fc17.x86_64
      Updated: 7:kdepim-4.8.4-4.fc17.x86_64
      Updated: 7:kdepim-libs-4.8.4-4.fc17.x86_64
      Updated: libudisks2-1.94.0-8.fc17.x86_64
      Updated: 2:tar-1.26-7.fc17.x86_64
      Updated: redhat-lsb-core-4.1-5.fc17.x86_64
      Updated: redhat-lsb-printing-4.1-5.fc17.x86_64
      Updated: redhat-lsb-languages-4.1-5.fc17.x86_64
      Updated: redhat-lsb-cxx-4.1-5.fc17.x86_64
      Updated: glibc-headers-2.15-51.fc17.x86_64
      Updated: 1:autocorr-en-3.5.5.3-2.fc17.noarch
      Updated: redhat-lsb-submod-multimedia-4.1-5.fc17.x86_64
      Updated: redhat-lsb-desktop-4.1-5.fc17.x86_64
      Updated: 1:libreoffice-opensymbol-fonts-3.5.5.3-2.fc17.noarch
      Updated: 1:libreoffice-writer-3.5.5.3-2.fc17.x86_64
      Updated: 1:libreoffice-core-3.5.5.3-2.fc17.x86_64
      Updated: 1:libreoffice-calc-3.5.5.3-2.fc17.x86_64
      Updated: 1:libreoffice-base-3.5.5.3-2.fc17.x86_64
      Updated: 1:libreoffice-presenter-screen-3.5.5.3-2.fc17.x86_64
      Updated: 1:libreoffice-impress-3.5.5.3-2.fc17.x86_64
      Updated: 1:libreoffice-graphicfilter-3.5.5.3-2.fc17.x86_64
      Updated: 1:libreoffice-pdfimport-3.5.5.3-2.fc17.x86_64
      Updated: 1:libreoffice-draw-3.5.5.3-2.fc17.x86_64
      Updated: 1:libreoffice-math-3.5.5.3-2.fc17.x86_64
      Updated: 1:libreoffice-pyuno-3.5.5.3-2.fc17.x86_64
      Updated: 1:libreoffice-emailmerge-3.5.5.3-2.fc17.x86_64
      Updated: 1:libreoffice-3.5.5.3-2.fc17.x86_64
      Updated: 1:libreoffice-langpack-en-3.5.5.3-2.fc17.x86_64
      Updated: redhat-lsb-4.1-5.fc17.x86_64
      Updated: udisks2-1.94.0-8.fc17.x86_64
      Updated: firefox-14.0.1-1.fc17.x86_64
      Updated: openldap-2.4.31-3.fc17.x86_64
      Updated: thunderbird-14.0-1.fc17.x86_64
      Updated: ktp-accounts-kcm-0.4.0-2.fc17.x86_64
      Updated: selinux-policy-devel-3.10.0-140.fc17.noarch
      Updated: selinux-policy-targeted-3.10.0-140.fc17.noarch
      Updated: libv4l-0.8.8-2.fc17.x86_64
      Updated: nscd-2.15-51.fc17.x86_64
      Updated: 1:smartmontools-5.43-1.fc17.x86_64
      Updated: 1:telepathy-mission-control-5.12.1-1.fc17.x86_64
      Updated: gtk3-3.4.4-1.fc17.x86_64
      Updated: glibmm24-2.32.1-1.fc17.x86_64
      Updated: iptables-1.4.14-2.fc17.x86_64
      Updated: cifs-utils-5.5-2.fc17.x86_64
      Updated: unetbootin-0-11.577bzr.fc17.x86_64
      Updated: libmad-0.15.1b-15.fc17.x86_64
      Updated: nc-1.109.20120711-1.fc17.x86_64
      Updated: libmpg123-1.13.8-1.fc17.x86_64
      Updated: tzdata-java-2012c-2.fc17.noarch
      Updated: shared-desktop-ontologies-0.10.0-2.fc17.noarch
      Installed: kernel-devel-3.4.6-2.fc17.x86_64
      Updated: glibc-2.15-51.fc17.i686
      Updated: nss-softokn-freebl-3.13.5-1.fc17.i686
      Installed: kernel-3.4.6-2.fc17.x86_64
      Updated: nspr-4.9.1-2.fc17.i686
      Updated: nss-util-3.13.5-1.fc17.i686
      Updated: glib2-2.32.4-1.fc17.i686
      Installed: kmod-VirtualBox-3.4.6-2.fc17.x86_64-4.1.18-1.fc17.2.x86_64
      Updated: VirtualBox-4.1.18-1.fc17.x86_64
      Installed: 1:kmod-nvidia-3.4.6-2.fc17.x86_64-295.59-1.fc17.6.x86_64
      Updated: nss-softokn-3.13.5-1.fc17.i686
      Updated: nss-3.13.5-1.fc17.i686
      Updated: libjpeg-turbo-1.2.1-1.fc17.i686
      Updated: 1:kmod-nvidia-295.59-1.fc17.6.x86_64
      Updated: glibc-devel-2.15-51.fc17.i686
      Updated: libv4l-0.8.8-2.fc17.i686
      Updated: openldap-2.4.31-3.fc17.i686
      Updated: gstreamer-plugins-bad-0.10.23-1.fc17.i686
      Updated: gtk2-2.24.11-1.fc17.i686
      Updated: 1:openssl-1.0.0j-2.fc17.i686
      Erased: kmod-VirtualBox-3.4.3-1.fc17.x86_64-4.1.16-1.fc17.3.x86_64
      Erased: 1:kmod-nvidia-3.4.3-1.fc17.x86_64-295.59-1.fc17.2.x86_64
      Installed: meterbridge-0.9.2-6.fc17.x86_64
      Installed: 1:vorbis-tools-1.4.0-4.fc17.x86_64
      Installed: jack_capture-0.9.61-1.fc17.x86_64
      Erased: jack_capture-0.9.61-1.fc17.x86_64

      It says it core dumped, but I can't find the core dump. If you want it, where does firestorm place it?

      [keiran@hex firestorm-install]$ LD_LIBRARY_PATH="./lib:$

      {LD_LIBRARY_PATH}

      " ldd bin/do-not-directly-run-firestorm-bin
      linux-gate.so.1 => (0xf7730000)
      libopenal.so.1 => ./lib/libopenal.so.1 (0xf76e1000)
      libalut.so => ./lib/libalut.so (0xf76d9000)
      libpthread.so.0 => /lib/libpthread.so.0 (0x439d1000)
      libcollada14dom.so => ./lib/libcollada14dom.so (0xf71cb000)
      libfreetype.so.6 => /lib/libfreetype.so.6 (0x43a76000)
      libllcommon.so => ./lib/libllcommon.so (0xf6ffc000)
      librt.so.1 => /lib/librt.so.1 (0x43a1a000)
      libhunspell-1.3.so.0 => ./lib/libhunspell-1.3.so.0 (0xf6fa4000)
      libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0x43a25000)
      libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0x43b51000)
      libGLU.so.1 => /lib/libGLU.so.1 (0xf6f2c000)
      libGL.so.1 => /usr/lib/nvidia/libGL.so.1 (0xf6e54000)
      libX11.so.6 => /lib/libX11.so.6 (0x43c80000)
      libfmod-3.75.so => ./lib/libfmod-3.75.so (0xf6db9000)
      libglod.so => ./lib/libglod.so (0xf6ce3000)
      libSDL-1.2.so.0 => ./lib/libSDL-1.2.so.0 (0xf6c3d000)
      libgdk-x11-2.0.so.0 => /lib/libgdk-x11-2.0.so.0 (0x44291000)
      libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0x43c7b000)
      libgtk-x11-2.0.so.0 => /lib/libgtk-x11-2.0.so.0 (0x44350000)
      libexpat.so.1 => ./lib/libexpat.so.1 (0xf6c11000)
      libssl.so.1.0.0 => ./lib/libssl.so.1.0.0 (0xf6bc2000)
      libcrypto.so.1.0.0 => ./lib/libcrypto.so.1.0.0 (0xf6a4c000)
      libtcmalloc.so.0 => ./lib/libtcmalloc.so.0 (0xf69c6000)
      libdl.so.2 => /lib/libdl.so.2 (0x439ca000)
      libfontconfig.so.1 => /lib/libfontconfig.so.1 (0x43ff0000)
      libaprutil-1.so.0 => ./lib/libaprutil-1.so.0 (0xf6976000)
      libapr-1.so.0 => ./lib/libapr-1.so.0 (0xf694b000)
      libstdc+.so.6 => /lib/libstdc+.so.6 (0xf685f000)
      libm.so.6 => /lib/libm.so.6 (0x439ed000)
      libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xf6841000)
      libc.so.6 => /lib/libc.so.6 (0x4381a000)
      /lib/ld-linux.so.2 (0x437f7000)
      libminizip.so => ./lib/libminizip.so (0xf683a000)
      libbreakpad_client.so.0 => ./lib/libbreakpad_client.so.0 (0xf681c000)
      libdb-5.1.so => ./lib/libdb-5.1.so (0xf665f000)
      libuuid.so.16 => ./lib/libuuid.so.16 (0xf6653000)
      libffi.so.5 => /lib/libffi.so.5 (0x43dba000)
      libnvidia-tls.so.295.59 => /usr/lib/nvidia/tls/libnvidia-tls.so.295.59 (0x45dcb000)
      libnvidia-glcore.so.295.59 => /usr/lib/nvidia/libnvidia-glcore.so.295.59 (0xf47dc000)
      libXext.so.6 => /lib/libXext.so.6 (0x43e12000)
      libxcb.so.1 => /lib/libxcb.so.1 (0x43dc4000)
      libdirectfb-1.4.so.5 => ./lib/libdirectfb-1.4.so.5 (0xf474a000)
      libfusion-1.4.so.5 => ./lib/libfusion-1.4.so.5 (0xf4741000)
      libdirect-1.4.so.5 => ./lib/libdirect-1.4.so.5 (0xf472b000)
      libpangocairo-1.0.so.0 => /lib/libpangocairo-1.0.so.0 (0x44251000)
      libpango-1.0.so.0 => /lib/libpango-1.0.so.0 (0x4405e000)
      libgio-2.0.so.0 => /lib/libgio-2.0.so.0 (0x43e55000)
      libXrender.so.1 => /lib/libXrender.so.1 (0x44027000)
      libXinerama.so.1 => /lib/libXinerama.so.1 (0x43b2a000)
      libXi.so.6 => /lib/libXi.so.6 (0x43b18000)
      libXrandr.so.2 => /lib/libXrandr.so.2 (0x4419d000)
      libXcursor.so.1 => /lib/libXcursor.so.1 (0x441a8000)
      libXcomposite.so.1 => /lib/libXcomposite.so.1 (0x44260000)
      libXdamage.so.1 => /lib/libXdamage.so.1 (0x44197000)
      libXfixes.so.3 => /lib/libXfixes.so.3 (0x44266000)
      libgdk_pixbuf-2.0.so.0 => /lib/libgdk_pixbuf-2.0.so.0 (0x43fc9000)
      libcairo.so.2 => /lib/libcairo.so.2 (0x440dc000)
      libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0x43b4a000)
      libatk-1.0.so.0 => /lib/libatk-1.0.so.0 (0x4426e000)
      libpangoft2-1.0.so.0 => /lib/libpangoft2-1.0.so.0 (0x440aa000)
      libcrypt.so.1 => /lib/libcrypt.so.1 (0xf46f6000)
      libXau.so.6 => /lib/libXau.so.6 (0x43de8000)
      libz.so.1 => /lib/libz.so.1 (0x43b32000)
      libselinux.so.1 => /lib/libselinux.so.1 (0x43dee000)
      libresolv.so.2 => /lib/libresolv.so.2 (0x43fae000)
      libpng15.so.15 => /lib/libpng15.so.15 (0x43e26000)
      libpixman-1.so.0 => /lib/libpixman-1.so.0 (0x441b5000)
      libfreebl3.so => /lib/libfreebl3.so (0xf46a5000)

      Versions of all installed 32-bit binaries:
      [keiran@hex ~]$ rpm -qa | grep '.i686'
      unixODBC-2.3.1-1.fc17.i686
      wine-capi-1.5.8-1.fc17.i686
      libXext-1.3.1-1.fc17.i686
      expat-2.1.0-1.fc17.i686
      libdrm-2.4.33-3.fc17.i686
      sqlite-3.7.11-3.fc17.i686
      libudev-182-3.fc17.i686
      libavc1394-0.5.3-11.fc17.i686
      libusb-0.1.3-10.fc17.i686
      libdca-0.0.5-6.fc17.i686
      libsndfile-1.0.25-2.fc17.i686
      libcap-2.22-2.fc17.i686
      wine-alsa-1.5.8-1.fc17.i686
      libxcb-1.8.1-1.fc17.i686
      p11-kit-0.12-1.fc17.i686
      libICE-1.0.8-1.fc17.i686
      systemd-44-17.fc17.i686
      libXt-1.1.2-2.fc17.i686
      libjpeg-turbo-1.2.1-1.fc17.i686
      libXmu-1.1.0-3.fc17.i686
      libsepol-2.1.7-1.fc17.i686
      json-c-0.9-4.fc17.i686
      wavpack-4.60.1-3.fc17.i686
      faad2-libs-2.7-2.fc17.i686
      fltk-1.3.0-4.fc17.i686
      mesa-libGLU-8.0.3-3.fc17.i686
      libpng-1.5.10-1.fc17.i686
      libXinerama-1.1.2-1.fc17.i686
      qt-x11-4.8.2-4.fc17.i686
      orc-0.4.16-5.fc17.i686
      cups-libs-1.5.2-12.fc17.i686
      libX11-1.5.0-2.fc17.i686
      libSM-1.2.1-1.fc17.i686
      libexif-0.6.20-2.fc17.i686
      libv4l-0.8.8-2.fc17.i686
      libraw1394-2.0.7-2.fc17.i686
      pam_ldap-185-13.fc17.i686
      polkit-0.104-6.fc17.i686
      qt3-3.3.8b-41.fc17.i686
      libgnomecanvas-2.30.3-4.fc17.i686
      svgalib-1.9.25-10.fc17.i686
      sane-backends-libs-1.0.22-11.fc17.i686
      freetype-2.4.8-3.fc17.i686
      libXdamage-1.1.3-3.fc17.i686
      libXft-2.3.0-2.fc17.i686
      gstreamer-plugins-base-0.10.36-1.fc17.i686
      lcms-libs-1.19-5.fc17.i686
      nss-softokn-freebl-3.13.5-1.fc17.i686
      audiofile-0.2.7-3.fc17.i686
      gtk2-2.24.11-1.fc17.i686
      cracklib-2.8.18-3.fc17.i686
      libshout-2.2.2-7.fc17.i686
      tcp_wrappers-libs-7.6-69.fc17.i686
      libmms-0.6.2-2.fc17.i686
      imlib-1.9.15-17.fc17.i686
      wine-pulseaudio-1.5.8-1.fc17.i686
      nas-libs-1.9.3-2.fc17.i686
      libXi-1.6.1-1.fc17.i686
      dbus-libs-1.4.10-4.fc17.i686
      libidn-1.24-1.fc17.i686
      SDL-1.2.14-16.fc17.i686
      libmng-1.0.10-6.fc17.i686
      nss-util-3.13.5-1.fc17.i686
      libtool-ltdl-2.4.2-3.fc17.i686
      db4-4.8.30-10.fc17.i686
      libgnome-keyring-3.4.1-2.fc17.i686
      lockdev-1.0.4-0.4.20111007git.fc17.i686
      libwmf-0.2.8.4-32.fc17.i686
      libXaw-1.0.9-3.fc17.i686
      wine-ldap-1.5.8-1.fc17.i686
      libsigc++20-2.2.10-2.fc17.i686
      libXvMC-1.0.7-1.fc17.i686
      mesa-libEGL-8.0.3-3.fc17.i686
      libgcrypt-1.5.0-3.fc17.i686
      libXfixes-5.0-2.fc17.i686
      audit-libs-2.2.1-1.fc17.i686
      fontconfig-2.8.0-7.fc17.i686
      libXxf86vm-1.1.2-1.fc17.i686
      alsa-plugins-pulseaudio-1.0.25-3.fc17.i686
      libXScrnSaver-1.2.2-1.fc17.i686
      libattr-2.4.46-5.fc17.i686
      gtk+-1.2.10-72.fc17.i686
      libsysfs-2.1.0-11.fc17.i686
      libiec61883-1.2.0-7.fc17.i686
      libieee1284-0.2.11-11.fc17.i686
      device-mapper-libs-1.02.74-6.fc17.i686
      libwayland-server-0.85.0-1.fc17.i686
      xvidcore-1.3.2-3.fc17.i686
      pulseaudio-libs-1.1-9.fc17.i686
      faac-1.28-4.fc17.i686
      openldap-2.4.31-3.fc17.i686
      nss_ldap-265-10.fc17.i686
      wine-core-1.5.8-1.fc17.i686
      libXdmcp-1.1.1-1.fc17.i686
      libxkbfile-1.0.8-1.fc17.i686
      mesa-libgbm-8.0.3-3.fc17.i686
      zlib-1.2.5-6.fc17.i686
      libXcursor-1.1.13-1.fc17.i686
      keyutils-libs-1.5.5-2.fc17.i686
      gstreamer-0.10.36-1.fc17.i686
      cairo-1.10.2-7.fc17.i686
      nss-mdns-0.10-10.fc17.i686
      pango-1.30.0-1.fc17.i686
      libxml2-2.7.8-7.fc17.i686
      glib-1.2.10-36.fc17.i686
      nss-3.13.5-1.fc17.i686
      openssl-1.0.0j-2.fc17.i686
      libglade2-2.6.4-8.fc17.i686
      kmod-libs-7-2.fc17.i686
      lzo-minilzo-2.06-2.fc17.i686
      libXtst-1.2.0-3.fc17.i686
      mjpegtools-libs-2.0.0-4.fc17.i686
      libmp4v2-1.5.0.1-12.fc17.i686
      libuuid-2.21.2-2.fc17.i686
      esound-libs-0.2.41-5.fc17.i686
      wine-cms-1.5.8-1.fc17.i686
      popt-1.13-10.fc17.i686
      mesa-libGL-8.0.3-3.fc17.i686
      libselinux-2.1.10-3.fc17.i686
      libXrender-0.9.7-1.fc17.i686
      qt-4.8.2-4.fc17.i686
      libXcomposite-0.4.3-3.fc17.i686
      pixman-0.24.4-2.fc17.i686
      openal-soft-1.14-2.fc17.i686
      libffi-3.0.10-2.fc17.i686
      libcurl-7.24.0-4.fc17.i686
      libpciaccess-0.13.1-1.fc17.i686
      libstdc++-4.7.0-5.fc17.i686
      readline-6.2-4.fc17.i686
      libvorbis-1.3.3-1.fc17.i686
      libdb-5.2.36-5.fc17.i686
      libwayland-client-0.85.0-1.fc17.i686
      taglib-1.7.2-1.fc17.i686
      libusb1-1.0.9-0.6.rc1.fc17.i686
      tslib-1.0-4.fc17.i686
      libmimic-1.0.4-5.fc17.i686
      libao-1.1.0-2.fc17.i686
      arts-1.5.10-15.fc17.i686
      gstreamer-plugins-good-0.10.31-4.fc17.i686
      glib2-2.32.4-1.fc17.i686
      glibc-devel-2.15-51.fc17.i686
      freeglut-2.8.0-3.fc17.i686
      krb5-libs-1.10.2-2.fc17.i686
      pam-1.1.5-7.fc17.i686
      libgpg-error-1.10-2.fc17.i686
      libthai-0.1.14-5.fc17.i686
      libtheora-1.1.1-3.fc17.i686
      gamin-0.1.10-12.fc17.i686
      libgcc-4.7.0-5.fc17.i686
      xorg-x11-drv-nvidia-libs-295.59-1.fc17.i686
      libXv-1.0.7-1.fc17.i686
      glibc-2.15-51.fc17.i686
      gstreamer-plugins-bad-0.10.23-1.fc17.i686
      libasyncns-0.8-3.fc17.i686
      cryptsetup-libs-1.4.3-1.fc17.i686
      libart_lgpl-2.3.21-3.fc17.i686
      gstreamer-plugins-bad-nonfree-0.10.22-3.fc17.i686
      lesstif-0.95.2-3.fc17.i686
      bzip2-libs-1.0.6-4.fc17.i686
      mesa-libglapi-8.0.3-3.fc17.i686
      libXrandr-1.3.1-3.fc17.i686
      avahi-libs-0.6.31-3.fc17.i686
      cdparanoia-libs-10.2-11.fc17.i686
      libssh2-1.4.1-2.fc17.i686
      nspr-4.9.1-2.fc17.i686
      libXpm-3.5.10-1.fc17.i686
      xz-libs-5.1.1-2alpha.fc17.i686
      libgphoto2-2.4.14-1.fc17.i686
      GConf2-3.2.5-1.fc17.i686
      directfb-1.5.3-7.fc17.i686
      libacl-2.2.51-5.fc17.i686
      wine-openal-1.5.8-1.fc17.i686
      gnutls-2.12.17-1.fc17.i686
      alsa-lib-1.0.25-3.fc17.i686
      flac-1.2.1-9.fc17.i686
      libdv-1.0.0-13.fc17.i686
      libXp-1.0.0-17.fc17.i686
      librtmp-2.4-0.2.20110811gitc58cfb3e.fc17.i686
      gsm-1.0.13-6.fc17.i686
      libxslt-1.1.26-9.fc17.i686
      wine-twain-1.5.8-1.fc17.i686
      jasper-libs-1.900.1-19.fc17.i686
      atk-2.4.0-1.fc17.i686
      dbus-glib-0.92-3.fc17.i686
      libogg-1.3.0-1.fc17.i686
      nss-softokn-3.13.5-1.fc17.i686
      libcom_err-1.42.3-2.fc17.i686
      libvncserver-0.9.8.2-4.fc17.i686
      libsoup-2.38.1-1.fc17.i686
      libwmf-lite-0.2.8.4-32.fc17.i686
      amrwb-7.0.0.3-6.fc17.i686
      cyrus-sasl-lib-2.1.23-30.fc17.i686
      lzo-2.06-2.fc17.i686
      libXau-1.0.6-3.fc17.i686
      libtiff-3.9.6-1.fc17.i686
      libtasn1-2.12-1.fc17.i686
      libvisual-0.4.0-11.fc17.i686
      gdk-pixbuf2-2.26.1-1.fc17.i686
      ncurses-libs-5.9-4.20120204.fc17.i686
      gd-2.0.35-17.fc17.i686
      speex-1.2-0.14.rc1.fc17.i686
      libvdpau-0.4.1-7.fc17.i686
      giflib-4.1.6-5.fc17.i686

      1. FirestormLogs.tar.gz
        143 kB
        Keiran Rotaru

        Issue Links

          Activity

          Hide
          Nicky added a comment -

          Does the trick from FIRE-7061 work? As that one over there is for a 32 bit system, you will have to change the two lines with cp so they match your system with
          32 bit libdirect.

          Show
          Nicky added a comment - Does the trick from FIRE-7061 work? As that one over there is for a 32 bit system, you will have to change the two lines with cp so they match your system with 32 bit libdirect.
          Hide
          Keiran Rotaru added a comment -

          Tried:
          mv /opt/firestorm-install/lib/libcrypto.so.1.0.0 /opt/firestorm-install/lib/libcrypto.so.1.0.0.bak
          cp /usr/lib/libcrypto.so.10 /opt/firestorm-install/lib
          mv /opt/firestorm-install/lib/libssl.so.1.0.0 /opt/firestorm-install/lib/libssl.so.1.0.0.bak
          cp /usr/lib/libssl.so.10 /opt/firestorm-install/lib

          New error:
          (it stopped complaining about libcrypto)
          bin/do-not-directly-run-firestorm-bin: error while loading shared libraries: libssl.so.1.0.0: cannot open shared object file: No such file or directory

          Nothing different about them:
          [root@hex firestorm-install]# ll lib/libcry*
          -rwxr-xr-x. 1 keiran keiran 1603500 Jul 25 09:21 lib/libcrypto.so.10
          [root@hex firestorm-install]# ll lib/libssl*
          -rwxr-xr-x. 1 keiran keiran 352712 Jul 25 09:22 lib/libssl.so.10

          This didn't do it either:
          ln -s /opt/firestorm-install/lib/libssl.so.10 /opt/firestorm-install/lib/libssl.so.1.0.0

          I'm still poking at it..

          Show
          Keiran Rotaru added a comment - Tried: mv /opt/firestorm-install/lib/libcrypto.so.1.0.0 /opt/firestorm-install/lib/libcrypto.so.1.0.0.bak cp /usr/lib/libcrypto.so.10 /opt/firestorm-install/lib mv /opt/firestorm-install/lib/libssl.so.1.0.0 /opt/firestorm-install/lib/libssl.so.1.0.0.bak cp /usr/lib/libssl.so.10 /opt/firestorm-install/lib New error: (it stopped complaining about libcrypto) bin/do-not-directly-run-firestorm-bin: error while loading shared libraries: libssl.so.1.0.0: cannot open shared object file: No such file or directory Nothing different about them: [root@hex firestorm-install] # ll lib/libcry* -rwxr-xr-x. 1 keiran keiran 1603500 Jul 25 09:21 lib/libcrypto.so.10 [root@hex firestorm-install] # ll lib/libssl* -rwxr-xr-x. 1 keiran keiran 352712 Jul 25 09:22 lib/libssl.so.10 This didn't do it either: ln -s /opt/firestorm-install/lib/libssl.so.10 /opt/firestorm-install/lib/libssl.so.1.0.0 I'm still poking at it..
          Hide
          Keiran Rotaru added a comment -

          Nope. Tried replacing the hard coded reference. The trick from FIRE-7061 works for fixing libcrypto, but not libssl
          [root@hex firestorm-install]# replace libssl.so.1.0.0 libssl.so.10 – firestorm
          firestorm converted

          [keiran@hex firestorm-install]$ ./firestorm
          64-bit Linux detected.
          Running from /opt/firestorm-install
          ./firestorm: line 89: ./etc/register_hopprotocol.sh: No such file or directory
          which: no kde-config in (/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/home/keiran/.local/bin:/home/keiran/bin)
          bin/do-not-directly-run-firestorm-bin: error while loading shared libraries: libssl.so.1.0.0: cannot open shared object file: No such file or directory

              • Bad shutdown ($LL_RUN_ERR). ***
                ERROR: ld.so: object '/opt/firestorm-install/lib/libssl.so.10' from LD_PRELOAD cannot be preloaded: ignored.

          ERROR: ld.so: object '/opt/firestorm-install/lib/libssl.so.10' from LD_PRELOAD cannot be preloaded: ignored.
          You are running the Firestorm Viewer on a x86_64 platform. The
          most common problems when launching the Viewer (particularly
          'bin/do-not-directly-run-firestorm-bin: not found' and 'error while
          loading shared libraries') may be solved by installing your Linux
          distribution's 32-bit compatibility packages.
          For example, on Ubuntu and other Debian-based Linuxes you might run:
          $ sudo apt-get install ia32-libs ia32-libs-gtk ia32-libs-kde ia32-libs-sdl

          Show
          Keiran Rotaru added a comment - Nope. Tried replacing the hard coded reference. The trick from FIRE-7061 works for fixing libcrypto, but not libssl [root@hex firestorm-install] # replace libssl.so.1.0.0 libssl.so.10 – firestorm firestorm converted [keiran@hex firestorm-install] $ ./firestorm 64-bit Linux detected. Running from /opt/firestorm-install ./firestorm: line 89: ./etc/register_hopprotocol.sh: No such file or directory which: no kde-config in (/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/home/keiran/.local/bin:/home/keiran/bin) bin/do-not-directly-run-firestorm-bin: error while loading shared libraries: libssl.so.1.0.0: cannot open shared object file: No such file or directory Bad shutdown ($LL_RUN_ERR). *** ERROR: ld.so: object '/opt/firestorm-install/lib/libssl.so.10' from LD_PRELOAD cannot be preloaded: ignored. ERROR: ld.so: object '/opt/firestorm-install/lib/libssl.so.10' from LD_PRELOAD cannot be preloaded: ignored. You are running the Firestorm Viewer on a x86_64 platform. The most common problems when launching the Viewer (particularly 'bin/do-not-directly-run-firestorm-bin: not found' and 'error while loading shared libraries') may be solved by installing your Linux distribution's 32-bit compatibility packages. For example, on Ubuntu and other Debian-based Linuxes you might run: $ sudo apt-get install ia32-libs ia32-libs-gtk ia32-libs-kde ia32-libs-sdl
          Hide
          Nicky added a comment -

          I meant replacing the libdirect* libraries, in case you have the same crash Trench had

          if you look at http://jira.phoenixviewer.com/browse/FIRE-7061?focusedCommentId=89329&page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#comment-89329
          you will see I wrote a little GDB info how to get a callstack and find the offending crash. That would be worth a try too, so we can see your backtrace and where it's crashing.

          Show
          Nicky added a comment - I meant replacing the libdirect* libraries, in case you have the same crash Trench had if you look at http://jira.phoenixviewer.com/browse/FIRE-7061?focusedCommentId=89329&page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#comment-89329 you will see I wrote a little GDB info how to get a callstack and find the offending crash. That would be worth a try too, so we can see your backtrace and where it's crashing.
          Hide
          Keiran Rotaru added a comment -

          I reinstalled to revert everything back to square one. This is the debugger running on the vanilla install:

          ./firestorm: line 89: ./etc/register_hopprotocol.sh: No such file or directory
          which: no kde-config in (/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/home/keiran/.local/bin:/home/keiran/bin)
          ERROR: ld.so: object '/opt/firestorm-install/lib/libcrypto.so.1.0.0' from LD_PRELOAD cannot be preloaded: ignored.
          ERROR: ld.so: object '/opt/firestorm-install/lib/libssl.so.1.0.0' from LD_PRELOAD cannot be preloaded: ignored.
          GNU gdb (GDB) Fedora (7.4.50.20120120-49.fc17)
          Copyright (C) 2012 Free Software Foundation, Inc.
          License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
          This is free software: you are free to change and redistribute it.
          There is NO WARRANTY, to the extent permitted by law. Type "show copying"
          and "show warranty" for details.
          This GDB was configured as "x86_64-redhat-linux-gnu".
          For bug reporting instructions, please see:
          <http://www.gnu.org/software/gdb/bugs/>...
          Reading symbols from /opt/firestorm-install/bin/do-not-directly-run-firestorm-bin...(no debugging symbols found)...done.
          (gdb) r
          Starting program: /opt/firestorm-install/bin/do-not-directly-run-firestorm-bin --channel Firestorm-Release --settings settings_firestorm-release_v4.xml
          ERROR: ld.so: object '/opt/firestorm-install/lib/libcrypto.so.1.0.0' from LD_PRELOAD cannot be preloaded: ignored.
          ERROR: ld.so: object '/opt/firestorm-install/lib/libssl.so.1.0.0' from LD_PRELOAD cannot be preloaded: ignored.

          Program received signal SIGSEGV, Segmentation fault.
          0x4380350c in _dl_relocate_object () from /lib/ld-linux.so.2
          Missing separate debuginfos, use: debuginfo-install glibc-2.15-51.fc17.i686
          (gdb) bt
          #0 0x4380350c in _dl_relocate_object () from /lib/ld-linux.so.2
          #1 0x437fa5c9 in dl_main () from /lib/ld-linux.so.2
          #2 0x4380c026 in _dl_sysdep_start () from /lib/ld-linux.so.2
          #3 0x437fc031 in _dl_start () from /lib/ld-linux.so.2
          #4 0x437f80f7 in _start () from /lib/ld-linux.so.2
          (gdb) q
          A debugging session is active.

          Inferior 1 [process 2226] will be killed.

          Quit anyway? (y or n) y

          Hmm. The call trace actually doesn't care about libssl or libcrypto. Those were just warnings.
          I never ran into "0xb5d41de9 in DirectResultTypeRegister () from /usr/lib/libdirect-1.5.so.0" like Trench did.
          Replaced libdirect anyway as a test.

          ./firestorm: line 89: ./etc/register_hopprotocol.sh: No such file or directory
          which: no kde-config in (/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/home/keiran/.local/bin:/home/keiran/bin)
          ERROR: ld.so: object '/opt/firestorm-install/lib/libcrypto.so.1.0.0' from LD_PRELOAD cannot be preloaded: ignored.
          ERROR: ld.so: object '/opt/firestorm-install/lib/libssl.so.1.0.0' from LD_PRELOAD cannot be preloaded: ignored.
          GNU gdb (GDB) Fedora (7.4.50.20120120-49.fc17)
          Copyright (C) 2012 Free Software Foundation, Inc.
          License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
          This is free software: you are free to change and redistribute it.
          There is NO WARRANTY, to the extent permitted by law. Type "show copying"
          and "show warranty" for details.
          This GDB was configured as "x86_64-redhat-linux-gnu".
          For bug reporting instructions, please see:
          <http://www.gnu.org/software/gdb/bugs/>...
          Reading symbols from /opt/firestorm-install/bin/do-not-directly-run-firestorm-bin...(no debugging symbols found)...done.
          (gdb) r
          Starting program: /opt/firestorm-install/bin/do-not-directly-run-firestorm-bin --channel Firestorm-Release --settings settings_firestorm-release_v4.xml
          ERROR: ld.so: object '/opt/firestorm-install/lib/libcrypto.so.1.0.0' from LD_PRELOAD cannot be preloaded: ignored.
          ERROR: ld.so: object '/opt/firestorm-install/lib/libssl.so.1.0.0' from LD_PRELOAD cannot be preloaded: ignored.

          Program received signal SIGSEGV, Segmentation fault.
          0x4380350c in _dl_relocate_object () from /lib/ld-linux.so.2
          Missing separate debuginfos, use: debuginfo-install glibc-2.15-51.fc17.i686
          (gdb) bt
          #0 0x4380350c in _dl_relocate_object () from /lib/ld-linux.so.2
          #1 0x437fa5c9 in dl_main () from /lib/ld-linux.so.2
          #2 0x4380c026 in _dl_sysdep_start () from /lib/ld-linux.so.2
          #3 0x437fc031 in _dl_start () from /lib/ld-linux.so.2
          #4 0x437f80f7 in _start () from /lib/ld-linux.so.2
          (gdb) q
          A debugging session is active.

          Inferior 1 [process 2304] will be killed.

          Quit anyway? (y or n) y

          Reverted the lib folder. Tried ld-linux.so
          [keiran@hex firestorm-install]$ ll /usr/lib/ld-linux*
          lrwxrwxrwx. 1 root root 10 Jul 23 07:29 /usr/lib/ld-linux.so.2 -> ld-2.15.so
          [keiran@hex firestorm-install]$ cp /usr/lib/ld-linux.so.2 lib

          Running from /opt/firestorm-install
          ./firestorm: line 89: ./etc/register_hopprotocol.sh: No such file or directory
          which: no kde-config in (/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/home/keiran/.local/bin:/home/keiran/bin)
          ERROR: ld.so: object '/opt/firestorm-install/lib/libcrypto.so.1.0.0' from LD_PRELOAD cannot be preloaded: ignored.
          ERROR: ld.so: object '/opt/firestorm-install/lib/libssl.so.1.0.0' from LD_PRELOAD cannot be preloaded: ignored.
          GNU gdb (GDB) Fedora (7.4.50.20120120-49.fc17)
          Copyright (C) 2012 Free Software Foundation, Inc.
          License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
          This is free software: you are free to change and redistribute it.
          There is NO WARRANTY, to the extent permitted by law. Type "show copying"
          and "show warranty" for details.
          This GDB was configured as "x86_64-redhat-linux-gnu".
          For bug reporting instructions, please see:
          <http://www.gnu.org/software/gdb/bugs/>...
          Reading symbols from /opt/firestorm-install/bin/do-not-directly-run-firestorm-bin...(no debugging symbols found)...done.
          (gdb) r
          Starting program: /opt/firestorm-install/bin/do-not-directly-run-firestorm-bin --channel Firestorm-Release --settings settings_firestorm-release_v4.xml
          ERROR: ld.so: object '/opt/firestorm-install/lib/libcrypto.so.1.0.0' from LD_PRELOAD cannot be preloaded: ignored.
          ERROR: ld.so: object '/opt/firestorm-install/lib/libssl.so.1.0.0' from LD_PRELOAD cannot be preloaded: ignored.

          Program received signal SIGSEGV, Segmentation fault.
          0x4380350c in _dl_relocate_object () from /lib/ld-linux.so.2
          Missing separate debuginfos, use: debuginfo-install glibc-2.15-51.fc17.i686
          (gdb) bt
          #0 0x4380350c in _dl_relocate_object () from /lib/ld-linux.so.2
          #1 0x437fa5c9 in dl_main () from /lib/ld-linux.so.2
          #2 0x4380c026 in _dl_sysdep_start () from /lib/ld-linux.so.2
          #3 0x437fc031 in _dl_start () from /lib/ld-linux.so.2
          #4 0x437f80f7 in _start () from /lib/ld-linux.so.2
          (gdb) q
          A debugging session is active.

          Inferior 1 [process 2413] will be killed.

          Quit anyway? (y or n) y

          That didn't accomplish anything. Reverted lib. Hell, why not? Tried them both:

          [keiran@hex firestorm-install]$ rm -vf lib/libcrypto*
          removed `lib/libcrypto.so.1.0.0'[keiran@hex firestorm-install]$ ./firestorm
          64-bit Linux detected.
          Running from /opt/firestorm-install
          ./firestorm: line 89: ./etc/register_hopprotocol.sh: No such file or directory
          which: no kde-config in (/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/home/keiran/.local/bin:/home/keiran/bin)
          GNU gdb (GDB) Fedora (7.4.50.20120120-49.fc17)
          Copyright (C) 2012 Free Software Foundation, Inc.
          License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
          This is free software: you are free to change and redistribute it.
          There is NO WARRANTY, to the extent permitted by law. Type "show copying"
          and "show warranty" for details.
          This GDB was configured as "x86_64-redhat-linux-gnu".
          For bug reporting instructions, please see:
          <http://www.gnu.org/software/gdb/bugs/>...
          Reading symbols from /opt/firestorm-install/bin/do-not-directly-run-firestorm-bin...(no debugging symbols found)...done.
          (gdb) r
          Starting program: /opt/firestorm-install/bin/do-not-directly-run-firestorm-bin --channel Firestorm-Release --settings settings_firestorm-release_v4.xml
          /opt/firestorm-install/bin/do-not-directly-run-firestorm-bin: error while loading shared libraries: libssl.so.1.0.0: cannot open shared object file: No such file or directory
          [Inferior 1 (process 2537) exited with code 0177]
          Missing separate debuginfos, use: debuginfo-install glibc-2.15-51.fc17.i686
          (gdb) bt
          No stack.
          (gdb) q
          [keiran@hex firestorm-install]$ cp lib/libssl.so.10 lib/libssl.so.1.0.0
          [keiran@hex firestorm-install]$ ./firestorm
          64-bit Linux detected.
          Running from /opt/firestorm-install
          ./firestorm: line 89: ./etc/register_hopprotocol.sh: No such file or directory
          which: no kde-config in (/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/home/keiran/.local/bin:/home/keiran/bin)
          ERROR: ld.so: object '/opt/firestorm-install/lib/libssl.so.1.0.0' from LD_PRELOAD cannot be preloaded: ignored.
          GNU gdb (GDB) Fedora (7.4.50.20120120-49.fc17)
          Copyright (C) 2012 Free Software Foundation, Inc.
          License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
          This is free software: you are free to change and redistribute it.
          There is NO WARRANTY, to the extent permitted by law. Type "show copying"
          and "show warranty" for details.
          This GDB was configured as "x86_64-redhat-linux-gnu".
          For bug reporting instructions, please see:
          <http://www.gnu.org/software/gdb/bugs/>...
          Reading symbols from /opt/firestorm-install/bin/do-not-directly-run-firestorm-bin...(no debugging symbols found)...done.
          (gdb) r
          Starting program: /opt/firestorm-install/bin/do-not-directly-run-firestorm-bin --channel Firestorm-Release --settings settings_firestorm-release_v4.xml
          ERROR: ld.so: object '/opt/firestorm-install/lib/libssl.so.1.0.0' from LD_PRELOAD cannot be preloaded: ignored.
          /opt/firestorm-install/bin/do-not-directly-run-firestorm-bin: error while loading shared libraries: libcrypto.so.1.0.0: cannot open shared object file: No such file or directory
          [Inferior 1 (process 2576) exited with code 0177]
          Missing separate debuginfos, use: debuginfo-install glibc-2.15-51.fc17.i686
          (gdb) bt
          No stack.
          (gdb) q
          [keiran@hex firestorm-install]$ cp lib/libcrypto.so.10 lib/libcrypto.so.1.0.0
          [keiran@hex firestorm-install]$ ./firestorm
          64-bit Linux detected.
          Running from /opt/firestorm-install
          ./firestorm: line 89: ./etc/register_hopprotocol.sh: No such file or directory
          which: no kde-config in (/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/home/keiran/.local/bin:/home/keiran/bin)
          ERROR: ld.so: object '/opt/firestorm-install/lib/libcrypto.so.1.0.0' from LD_PRELOAD cannot be preloaded: ignored.
          ERROR: ld.so: object '/opt/firestorm-install/lib/libssl.so.1.0.0' from LD_PRELOAD cannot be preloaded: ignored.
          GNU gdb (GDB) Fedora (7.4.50.20120120-49.fc17)
          Copyright (C) 2012 Free Software Foundation, Inc.
          License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
          This is free software: you are free to change and redistribute it.
          There is NO WARRANTY, to the extent permitted by law. Type "show copying"
          and "show warranty" for details.
          This GDB was configured as "x86_64-redhat-linux-gnu".
          For bug reporting instructions, please see:
          <http://www.gnu.org/software/gdb/bugs/>...
          Reading symbols from /opt/firestorm-install/bin/do-not-directly-run-firestorm-bin...(no debugging symbols found)...done.
          (gdb) r
          Starting program: /opt/firestorm-install/bin/do-not-directly-run-firestorm-bin --channel Firestorm-Release --settings settings_firestorm-release_v4.xml
          ERROR: ld.so: object '/opt/firestorm-install/lib/libcrypto.so.1.0.0' from LD_PRELOAD cannot be preloaded: ignored.
          ERROR: ld.so: object '/opt/firestorm-install/lib/libssl.so.1.0.0' from LD_PRELOAD cannot be preloaded: ignored.

          Program received signal SIGSEGV, Segmentation fault.
          0x4380350c in _dl_relocate_object () from /lib/ld-linux.so.2
          Missing separate debuginfos, use: debuginfo-install glibc-2.15-51.fc17.i686
          (gdb) bt
          #0 0x4380350c in _dl_relocate_object () from /lib/ld-linux.so.2
          #1 0x437fa5c9 in dl_main () from /lib/ld-linux.so.2
          #2 0x4380c026 in _dl_sysdep_start () from /lib/ld-linux.so.2[keiran@hex firestorm-install]$ rm -vf lib/libssl*
          removed `lib/libssl.so.1.0.0'
          [keiran@hex firestorm-install]$ cp /usr/lib/libcrypto.so.10 /opt/firestorm-install/lib
          [keiran@hex firestorm-install]$ cp /usr/lib/libssl.so.10 /opt/firestorm-install/lib
          [keiran@hex firestorm-install]$ cp /usr/lib/libdirect-1.5.so.0.0.3 lib/libdirect-1.4.so.5
          [keiran@hex firestorm-install]$ cp /usr/lib/libdirect-1.5.so.0.0.3 lib/libdirectfb-1.4.so.5
          #3 0x437fc031 in _dl_start () from /lib/ld-linux.so.2
          #4 0x437f80f7 in _start () from /lib/ld-linux.so.2
          (gdb) q
          A debugging session is active.

          Inferior 1 [process 2615] will be killed.

          Quit anyway? (y or n) y

          Reverted lib. Replaced just libdirect again so I can get the output of this:

          linux-gate.so.1 => (0xf7773000)
          libopenal.so.1 => ./lib/libopenal.so.1 (0xf7724000)
          libalut.so => ./lib/libalut.so (0xf771c000)
          libpthread.so.0 => /lib/libpthread.so.0 (0x439d1000)
          libcollada14dom.so => ./lib/libcollada14dom.so (0xf720e000)
          libfreetype.so.6 => /lib/libfreetype.so.6 (0x43a76000)
          libllcommon.so => ./lib/libllcommon.so (0xf703f000)
          librt.so.1 => /lib/librt.so.1 (0x43a1a000)
          libhunspell-1.3.so.0 => ./lib/libhunspell-1.3.so.0 (0xf6fe7000)
          libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0x43a25000)
          libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0x43b51000)
          libGLU.so.1 => /lib/libGLU.so.1 (0xf6f6f000)
          libGL.so.1 => /usr/lib/nvidia/libGL.so.1 (0xf6e97000)
          libX11.so.6 => /lib/libX11.so.6 (0x43c80000)
          libfmod-3.75.so => ./lib/libfmod-3.75.so (0xf6dfc000)
          libglod.so => ./lib/libglod.so (0xf6d26000)
          libSDL-1.2.so.0 => ./lib/libSDL-1.2.so.0 (0xf6c80000)
          libgdk-x11-2.0.so.0 => /lib/libgdk-x11-2.0.so.0 (0x44291000)
          libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0x43c7b000)
          libgtk-x11-2.0.so.0 => /lib/libgtk-x11-2.0.so.0 (0x44350000)
          libexpat.so.1 => ./lib/libexpat.so.1 (0xf6c54000)
          libssl.so.1.0.0 => ./lib/libssl.so.1.0.0 (0xf6c05000)
          libcrypto.so.1.0.0 => ./lib/libcrypto.so.1.0.0 (0xf6a8f000)
          libtcmalloc.so.0 => ./lib/libtcmalloc.so.0 (0xf6a09000)
          libdl.so.2 => /lib/libdl.so.2 (0x439ca000)
          libfontconfig.so.1 => /lib/libfontconfig.so.1 (0x43ff0000)
          libaprutil-1.so.0 => ./lib/libaprutil-1.so.0 (0xf69b9000)
          libapr-1.so.0 => ./lib/libapr-1.so.0 (0xf698e000)
          libstdc+.so.6 => /lib/libstdc+.so.6 (0xf68a2000)
          libm.so.6 => /lib/libm.so.6 (0x439ed000)
          libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xf6884000)
          libc.so.6 => /lib/libc.so.6 (0x4381a000)
          /lib/ld-linux.so.2 (0x437f7000)
          libminizip.so => ./lib/libminizip.so (0xf687d000)
          libbreakpad_client.so.0 => ./lib/libbreakpad_client.so.0 (0xf685f000)
          libdb-5.1.so => ./lib/libdb-5.1.so (0xf66a2000)
          libuuid.so.16 => ./lib/libuuid.so.16 (0xf6696000)
          libffi.so.5 => /lib/libffi.so.5 (0x43dba000)
          libnvidia-tls.so.295.59 => /usr/lib/nvidia/tls/libnvidia-tls.so.295.59 (0x45dcb000)
          libnvidia-glcore.so.295.59 => /usr/lib/nvidia/libnvidia-glcore.so.295.59 (0xf481f000)
          libXext.so.6 => /lib/libXext.so.6 (0x43e12000)
          libxcb.so.1 => /lib/libxcb.so.1 (0x43dc4000)
          libdirectfb-1.4.so.5 => ./lib/libdirectfb-1.4.so.5 (0xf47fd000)
          libfusion-1.4.so.5 => ./lib/libfusion-1.4.so.5 (0xf47f4000)
          libdirect-1.4.so.5 => ./lib/libdirect-1.4.so.5 (0xf47d3000)
          libpangocairo-1.0.so.0 => /lib/libpangocairo-1.0.so.0 (0x44251000)
          libpango-1.0.so.0 => /lib/libpango-1.0.so.0 (0x4405e000)
          libgio-2.0.so.0 => /lib/libgio-2.0.so.0 (0x43e55000)
          libXrender.so.1 => /lib/libXrender.so.1 (0x44027000)
          libXinerama.so.1 => /lib/libXinerama.so.1 (0x43b2a000)
          libXi.so.6 => /lib/libXi.so.6 (0x43b18000)
          libXrandr.so.2 => /lib/libXrandr.so.2 (0x4419d000)
          libXcursor.so.1 => /lib/libXcursor.so.1 (0x441a8000)
          libXcomposite.so.1 => /lib/libXcomposite.so.1 (0x44260000)
          libXdamage.so.1 => /lib/libXdamage.so.1 (0x44197000)
          libXfixes.so.3 => /lib/libXfixes.so.3 (0x44266000)
          libgdk_pixbuf-2.0.so.0 => /lib/libgdk_pixbuf-2.0.so.0 (0x43fc9000)
          libcairo.so.2 => /lib/libcairo.so.2 (0x440dc000)
          libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0x43b4a000)
          libatk-1.0.so.0 => /lib/libatk-1.0.so.0 (0x4426e000)
          libpangoft2-1.0.so.0 => /lib/libpangoft2-1.0.so.0 (0x440aa000)
          libcrypt.so.1 => /lib/libcrypt.so.1 (0xf479e000)
          libXau.so.6 => /lib/libXau.so.6 (0x43de8000)
          libz.so.1 => /lib/libz.so.1 (0x43b32000)
          libselinux.so.1 => /lib/libselinux.so.1 (0x43dee000)
          libresolv.so.2 => /lib/libresolv.so.2 (0x43fae000)
          libpng15.so.15 => /lib/libpng15.so.15 (0x43e26000)
          libpixman-1.so.0 => /lib/libpixman-1.so.0 (0x441b5000)
          libfreebl3.so => /lib/libfreebl3.so (0xf474d000)

          Show
          Keiran Rotaru added a comment - I reinstalled to revert everything back to square one. This is the debugger running on the vanilla install: ./firestorm: line 89: ./etc/register_hopprotocol.sh: No such file or directory which: no kde-config in (/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/home/keiran/.local/bin:/home/keiran/bin) ERROR: ld.so: object '/opt/firestorm-install/lib/libcrypto.so.1.0.0' from LD_PRELOAD cannot be preloaded: ignored. ERROR: ld.so: object '/opt/firestorm-install/lib/libssl.so.1.0.0' from LD_PRELOAD cannot be preloaded: ignored. GNU gdb (GDB) Fedora (7.4.50.20120120-49.fc17) Copyright (C) 2012 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later < http://gnu.org/licenses/gpl.html > This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law. Type "show copying" and "show warranty" for details. This GDB was configured as "x86_64-redhat-linux-gnu". For bug reporting instructions, please see: < http://www.gnu.org/software/gdb/bugs/ >... Reading symbols from /opt/firestorm-install/bin/do-not-directly-run-firestorm-bin...(no debugging symbols found)...done. (gdb) r Starting program: /opt/firestorm-install/bin/do-not-directly-run-firestorm-bin --channel Firestorm-Release --settings settings_firestorm-release_v4.xml ERROR: ld.so: object '/opt/firestorm-install/lib/libcrypto.so.1.0.0' from LD_PRELOAD cannot be preloaded: ignored. ERROR: ld.so: object '/opt/firestorm-install/lib/libssl.so.1.0.0' from LD_PRELOAD cannot be preloaded: ignored. Program received signal SIGSEGV, Segmentation fault. 0x4380350c in _dl_relocate_object () from /lib/ld-linux.so.2 Missing separate debuginfos, use: debuginfo-install glibc-2.15-51.fc17.i686 (gdb) bt #0 0x4380350c in _dl_relocate_object () from /lib/ld-linux.so.2 #1 0x437fa5c9 in dl_main () from /lib/ld-linux.so.2 #2 0x4380c026 in _dl_sysdep_start () from /lib/ld-linux.so.2 #3 0x437fc031 in _dl_start () from /lib/ld-linux.so.2 #4 0x437f80f7 in _start () from /lib/ld-linux.so.2 (gdb) q A debugging session is active. Inferior 1 [process 2226] will be killed. Quit anyway? (y or n) y Hmm. The call trace actually doesn't care about libssl or libcrypto. Those were just warnings. I never ran into "0xb5d41de9 in DirectResultTypeRegister () from /usr/lib/libdirect-1.5.so.0" like Trench did. Replaced libdirect anyway as a test. ./firestorm: line 89: ./etc/register_hopprotocol.sh: No such file or directory which: no kde-config in (/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/home/keiran/.local/bin:/home/keiran/bin) ERROR: ld.so: object '/opt/firestorm-install/lib/libcrypto.so.1.0.0' from LD_PRELOAD cannot be preloaded: ignored. ERROR: ld.so: object '/opt/firestorm-install/lib/libssl.so.1.0.0' from LD_PRELOAD cannot be preloaded: ignored. GNU gdb (GDB) Fedora (7.4.50.20120120-49.fc17) Copyright (C) 2012 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later < http://gnu.org/licenses/gpl.html > This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law. Type "show copying" and "show warranty" for details. This GDB was configured as "x86_64-redhat-linux-gnu". For bug reporting instructions, please see: < http://www.gnu.org/software/gdb/bugs/ >... Reading symbols from /opt/firestorm-install/bin/do-not-directly-run-firestorm-bin...(no debugging symbols found)...done. (gdb) r Starting program: /opt/firestorm-install/bin/do-not-directly-run-firestorm-bin --channel Firestorm-Release --settings settings_firestorm-release_v4.xml ERROR: ld.so: object '/opt/firestorm-install/lib/libcrypto.so.1.0.0' from LD_PRELOAD cannot be preloaded: ignored. ERROR: ld.so: object '/opt/firestorm-install/lib/libssl.so.1.0.0' from LD_PRELOAD cannot be preloaded: ignored. Program received signal SIGSEGV, Segmentation fault. 0x4380350c in _dl_relocate_object () from /lib/ld-linux.so.2 Missing separate debuginfos, use: debuginfo-install glibc-2.15-51.fc17.i686 (gdb) bt #0 0x4380350c in _dl_relocate_object () from /lib/ld-linux.so.2 #1 0x437fa5c9 in dl_main () from /lib/ld-linux.so.2 #2 0x4380c026 in _dl_sysdep_start () from /lib/ld-linux.so.2 #3 0x437fc031 in _dl_start () from /lib/ld-linux.so.2 #4 0x437f80f7 in _start () from /lib/ld-linux.so.2 (gdb) q A debugging session is active. Inferior 1 [process 2304] will be killed. Quit anyway? (y or n) y Reverted the lib folder. Tried ld-linux.so [keiran@hex firestorm-install] $ ll /usr/lib/ld-linux* lrwxrwxrwx. 1 root root 10 Jul 23 07:29 /usr/lib/ld-linux.so.2 -> ld-2.15.so [keiran@hex firestorm-install] $ cp /usr/lib/ld-linux.so.2 lib Running from /opt/firestorm-install ./firestorm: line 89: ./etc/register_hopprotocol.sh: No such file or directory which: no kde-config in (/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/home/keiran/.local/bin:/home/keiran/bin) ERROR: ld.so: object '/opt/firestorm-install/lib/libcrypto.so.1.0.0' from LD_PRELOAD cannot be preloaded: ignored. ERROR: ld.so: object '/opt/firestorm-install/lib/libssl.so.1.0.0' from LD_PRELOAD cannot be preloaded: ignored. GNU gdb (GDB) Fedora (7.4.50.20120120-49.fc17) Copyright (C) 2012 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later < http://gnu.org/licenses/gpl.html > This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law. Type "show copying" and "show warranty" for details. This GDB was configured as "x86_64-redhat-linux-gnu". For bug reporting instructions, please see: < http://www.gnu.org/software/gdb/bugs/ >... Reading symbols from /opt/firestorm-install/bin/do-not-directly-run-firestorm-bin...(no debugging symbols found)...done. (gdb) r Starting program: /opt/firestorm-install/bin/do-not-directly-run-firestorm-bin --channel Firestorm-Release --settings settings_firestorm-release_v4.xml ERROR: ld.so: object '/opt/firestorm-install/lib/libcrypto.so.1.0.0' from LD_PRELOAD cannot be preloaded: ignored. ERROR: ld.so: object '/opt/firestorm-install/lib/libssl.so.1.0.0' from LD_PRELOAD cannot be preloaded: ignored. Program received signal SIGSEGV, Segmentation fault. 0x4380350c in _dl_relocate_object () from /lib/ld-linux.so.2 Missing separate debuginfos, use: debuginfo-install glibc-2.15-51.fc17.i686 (gdb) bt #0 0x4380350c in _dl_relocate_object () from /lib/ld-linux.so.2 #1 0x437fa5c9 in dl_main () from /lib/ld-linux.so.2 #2 0x4380c026 in _dl_sysdep_start () from /lib/ld-linux.so.2 #3 0x437fc031 in _dl_start () from /lib/ld-linux.so.2 #4 0x437f80f7 in _start () from /lib/ld-linux.so.2 (gdb) q A debugging session is active. Inferior 1 [process 2413] will be killed. Quit anyway? (y or n) y That didn't accomplish anything. Reverted lib. Hell, why not? Tried them both: [keiran@hex firestorm-install] $ rm -vf lib/libcrypto* removed `lib/libcrypto.so.1.0.0' [keiran@hex firestorm-install] $ ./firestorm 64-bit Linux detected. Running from /opt/firestorm-install ./firestorm: line 89: ./etc/register_hopprotocol.sh: No such file or directory which: no kde-config in (/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/home/keiran/.local/bin:/home/keiran/bin) GNU gdb (GDB) Fedora (7.4.50.20120120-49.fc17) Copyright (C) 2012 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later < http://gnu.org/licenses/gpl.html > This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law. Type "show copying" and "show warranty" for details. This GDB was configured as "x86_64-redhat-linux-gnu". For bug reporting instructions, please see: < http://www.gnu.org/software/gdb/bugs/ >... Reading symbols from /opt/firestorm-install/bin/do-not-directly-run-firestorm-bin...(no debugging symbols found)...done. (gdb) r Starting program: /opt/firestorm-install/bin/do-not-directly-run-firestorm-bin --channel Firestorm-Release --settings settings_firestorm-release_v4.xml /opt/firestorm-install/bin/do-not-directly-run-firestorm-bin: error while loading shared libraries: libssl.so.1.0.0: cannot open shared object file: No such file or directory [Inferior 1 (process 2537) exited with code 0177] Missing separate debuginfos, use: debuginfo-install glibc-2.15-51.fc17.i686 (gdb) bt No stack. (gdb) q [keiran@hex firestorm-install] $ cp lib/libssl.so.10 lib/libssl.so.1.0.0 [keiran@hex firestorm-install] $ ./firestorm 64-bit Linux detected. Running from /opt/firestorm-install ./firestorm: line 89: ./etc/register_hopprotocol.sh: No such file or directory which: no kde-config in (/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/home/keiran/.local/bin:/home/keiran/bin) ERROR: ld.so: object '/opt/firestorm-install/lib/libssl.so.1.0.0' from LD_PRELOAD cannot be preloaded: ignored. GNU gdb (GDB) Fedora (7.4.50.20120120-49.fc17) Copyright (C) 2012 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later < http://gnu.org/licenses/gpl.html > This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law. Type "show copying" and "show warranty" for details. This GDB was configured as "x86_64-redhat-linux-gnu". For bug reporting instructions, please see: < http://www.gnu.org/software/gdb/bugs/ >... Reading symbols from /opt/firestorm-install/bin/do-not-directly-run-firestorm-bin...(no debugging symbols found)...done. (gdb) r Starting program: /opt/firestorm-install/bin/do-not-directly-run-firestorm-bin --channel Firestorm-Release --settings settings_firestorm-release_v4.xml ERROR: ld.so: object '/opt/firestorm-install/lib/libssl.so.1.0.0' from LD_PRELOAD cannot be preloaded: ignored. /opt/firestorm-install/bin/do-not-directly-run-firestorm-bin: error while loading shared libraries: libcrypto.so.1.0.0: cannot open shared object file: No such file or directory [Inferior 1 (process 2576) exited with code 0177] Missing separate debuginfos, use: debuginfo-install glibc-2.15-51.fc17.i686 (gdb) bt No stack. (gdb) q [keiran@hex firestorm-install] $ cp lib/libcrypto.so.10 lib/libcrypto.so.1.0.0 [keiran@hex firestorm-install] $ ./firestorm 64-bit Linux detected. Running from /opt/firestorm-install ./firestorm: line 89: ./etc/register_hopprotocol.sh: No such file or directory which: no kde-config in (/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/home/keiran/.local/bin:/home/keiran/bin) ERROR: ld.so: object '/opt/firestorm-install/lib/libcrypto.so.1.0.0' from LD_PRELOAD cannot be preloaded: ignored. ERROR: ld.so: object '/opt/firestorm-install/lib/libssl.so.1.0.0' from LD_PRELOAD cannot be preloaded: ignored. GNU gdb (GDB) Fedora (7.4.50.20120120-49.fc17) Copyright (C) 2012 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later < http://gnu.org/licenses/gpl.html > This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law. Type "show copying" and "show warranty" for details. This GDB was configured as "x86_64-redhat-linux-gnu". For bug reporting instructions, please see: < http://www.gnu.org/software/gdb/bugs/ >... Reading symbols from /opt/firestorm-install/bin/do-not-directly-run-firestorm-bin...(no debugging symbols found)...done. (gdb) r Starting program: /opt/firestorm-install/bin/do-not-directly-run-firestorm-bin --channel Firestorm-Release --settings settings_firestorm-release_v4.xml ERROR: ld.so: object '/opt/firestorm-install/lib/libcrypto.so.1.0.0' from LD_PRELOAD cannot be preloaded: ignored. ERROR: ld.so: object '/opt/firestorm-install/lib/libssl.so.1.0.0' from LD_PRELOAD cannot be preloaded: ignored. Program received signal SIGSEGV, Segmentation fault. 0x4380350c in _dl_relocate_object () from /lib/ld-linux.so.2 Missing separate debuginfos, use: debuginfo-install glibc-2.15-51.fc17.i686 (gdb) bt #0 0x4380350c in _dl_relocate_object () from /lib/ld-linux.so.2 #1 0x437fa5c9 in dl_main () from /lib/ld-linux.so.2 #2 0x4380c026 in _dl_sysdep_start () from /lib/ld-linux.so.2 [keiran@hex firestorm-install] $ rm -vf lib/libssl* removed `lib/libssl.so.1.0.0' [keiran@hex firestorm-install] $ cp /usr/lib/libcrypto.so.10 /opt/firestorm-install/lib [keiran@hex firestorm-install] $ cp /usr/lib/libssl.so.10 /opt/firestorm-install/lib [keiran@hex firestorm-install] $ cp /usr/lib/libdirect-1.5.so.0.0.3 lib/libdirect-1.4.so.5 [keiran@hex firestorm-install] $ cp /usr/lib/libdirect-1.5.so.0.0.3 lib/libdirectfb-1.4.so.5 #3 0x437fc031 in _dl_start () from /lib/ld-linux.so.2 #4 0x437f80f7 in _start () from /lib/ld-linux.so.2 (gdb) q A debugging session is active. Inferior 1 [process 2615] will be killed. Quit anyway? (y or n) y Reverted lib. Replaced just libdirect again so I can get the output of this: linux-gate.so.1 => (0xf7773000) libopenal.so.1 => ./lib/libopenal.so.1 (0xf7724000) libalut.so => ./lib/libalut.so (0xf771c000) libpthread.so.0 => /lib/libpthread.so.0 (0x439d1000) libcollada14dom.so => ./lib/libcollada14dom.so (0xf720e000) libfreetype.so.6 => /lib/libfreetype.so.6 (0x43a76000) libllcommon.so => ./lib/libllcommon.so (0xf703f000) librt.so.1 => /lib/librt.so.1 (0x43a1a000) libhunspell-1.3.so.0 => ./lib/libhunspell-1.3.so.0 (0xf6fe7000) libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0x43a25000) libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0x43b51000) libGLU.so.1 => /lib/libGLU.so.1 (0xf6f6f000) libGL.so.1 => /usr/lib/nvidia/libGL.so.1 (0xf6e97000) libX11.so.6 => /lib/libX11.so.6 (0x43c80000) libfmod-3.75.so => ./lib/libfmod-3.75.so (0xf6dfc000) libglod.so => ./lib/libglod.so (0xf6d26000) libSDL-1.2.so.0 => ./lib/libSDL-1.2.so.0 (0xf6c80000) libgdk-x11-2.0.so.0 => /lib/libgdk-x11-2.0.so.0 (0x44291000) libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0x43c7b000) libgtk-x11-2.0.so.0 => /lib/libgtk-x11-2.0.so.0 (0x44350000) libexpat.so.1 => ./lib/libexpat.so.1 (0xf6c54000) libssl.so.1.0.0 => ./lib/libssl.so.1.0.0 (0xf6c05000) libcrypto.so.1.0.0 => ./lib/libcrypto.so.1.0.0 (0xf6a8f000) libtcmalloc.so.0 => ./lib/libtcmalloc.so.0 (0xf6a09000) libdl.so.2 => /lib/libdl.so.2 (0x439ca000) libfontconfig.so.1 => /lib/libfontconfig.so.1 (0x43ff0000) libaprutil-1.so.0 => ./lib/libaprutil-1.so.0 (0xf69b9000) libapr-1.so.0 => ./lib/libapr-1.so.0 (0xf698e000) libstdc+ .so.6 => /lib/libstdc +.so.6 (0xf68a2000) libm.so.6 => /lib/libm.so.6 (0x439ed000) libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xf6884000) libc.so.6 => /lib/libc.so.6 (0x4381a000) /lib/ld-linux.so.2 (0x437f7000) libminizip.so => ./lib/libminizip.so (0xf687d000) libbreakpad_client.so.0 => ./lib/libbreakpad_client.so.0 (0xf685f000) libdb-5.1.so => ./lib/libdb-5.1.so (0xf66a2000) libuuid.so.16 => ./lib/libuuid.so.16 (0xf6696000) libffi.so.5 => /lib/libffi.so.5 (0x43dba000) libnvidia-tls.so.295.59 => /usr/lib/nvidia/tls/libnvidia-tls.so.295.59 (0x45dcb000) libnvidia-glcore.so.295.59 => /usr/lib/nvidia/libnvidia-glcore.so.295.59 (0xf481f000) libXext.so.6 => /lib/libXext.so.6 (0x43e12000) libxcb.so.1 => /lib/libxcb.so.1 (0x43dc4000) libdirectfb-1.4.so.5 => ./lib/libdirectfb-1.4.so.5 (0xf47fd000) libfusion-1.4.so.5 => ./lib/libfusion-1.4.so.5 (0xf47f4000) libdirect-1.4.so.5 => ./lib/libdirect-1.4.so.5 (0xf47d3000) libpangocairo-1.0.so.0 => /lib/libpangocairo-1.0.so.0 (0x44251000) libpango-1.0.so.0 => /lib/libpango-1.0.so.0 (0x4405e000) libgio-2.0.so.0 => /lib/libgio-2.0.so.0 (0x43e55000) libXrender.so.1 => /lib/libXrender.so.1 (0x44027000) libXinerama.so.1 => /lib/libXinerama.so.1 (0x43b2a000) libXi.so.6 => /lib/libXi.so.6 (0x43b18000) libXrandr.so.2 => /lib/libXrandr.so.2 (0x4419d000) libXcursor.so.1 => /lib/libXcursor.so.1 (0x441a8000) libXcomposite.so.1 => /lib/libXcomposite.so.1 (0x44260000) libXdamage.so.1 => /lib/libXdamage.so.1 (0x44197000) libXfixes.so.3 => /lib/libXfixes.so.3 (0x44266000) libgdk_pixbuf-2.0.so.0 => /lib/libgdk_pixbuf-2.0.so.0 (0x43fc9000) libcairo.so.2 => /lib/libcairo.so.2 (0x440dc000) libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0x43b4a000) libatk-1.0.so.0 => /lib/libatk-1.0.so.0 (0x4426e000) libpangoft2-1.0.so.0 => /lib/libpangoft2-1.0.so.0 (0x440aa000) libcrypt.so.1 => /lib/libcrypt.so.1 (0xf479e000) libXau.so.6 => /lib/libXau.so.6 (0x43de8000) libz.so.1 => /lib/libz.so.1 (0x43b32000) libselinux.so.1 => /lib/libselinux.so.1 (0x43dee000) libresolv.so.2 => /lib/libresolv.so.2 (0x43fae000) libpng15.so.15 => /lib/libpng15.so.15 (0x43e26000) libpixman-1.so.0 => /lib/libpixman-1.so.0 (0x441b5000) libfreebl3.so => /lib/libfreebl3.so (0xf474d000)
          Hide
          Peace Howlett added a comment - - edited

          You have probably tried this, but some users were reporting problems with libcrypto and having SElinux enabled, I used to set SElinux to 'permissive', since that way it can be reversed easily, you can turn it off temporarily, or permanently using this guide; http://www.crypt.gen.nz/selinux/disable_selinux.html. The only reason I mentioned this is that I see 'selinux-policy' was updated on your list above. I haven't used Fedora for a while so I'm unable to test it, and I'm unsure if the SElinux update can be fully reversed, since it is security related. Also, does the official LL viewer work?.

          Show
          Peace Howlett added a comment - - edited You have probably tried this, but some users were reporting problems with libcrypto and having SElinux enabled, I used to set SElinux to 'permissive', since that way it can be reversed easily, you can turn it off temporarily, or permanently using this guide; http://www.crypt.gen.nz/selinux/disable_selinux.html . The only reason I mentioned this is that I see 'selinux-policy' was updated on your list above. I haven't used Fedora for a while so I'm unable to test it, and I'm unsure if the SElinux update can be fully reversed, since it is security related. Also, does the official LL viewer work?.
          Hide
          Keiran Rotaru added a comment -

          I didn't try it yet, but it was worth a shot. I disabled SELinux completely, rebooted, tested again. Exact same behaviour, so I turned SELinux back on. Also, SELinux is generating no warnings (except those generated by WINE, but that's unrelated)

          All viewers are broken now, but Firestorm is the only one that provides useful troubleshooting data.

          The official viewer just segfaults without printing any reason:
          ./secondlife: line 131: 1936 Segmentation fault (core dumped) $LL_WRAPPER bin/do-not-directly-run-secondlife-bin "$

          {gridargs[@]}

          " "$@"

              • Bad shutdown ($LL_RUN_ERR). ***
          Show
          Keiran Rotaru added a comment - I didn't try it yet, but it was worth a shot. I disabled SELinux completely, rebooted, tested again. Exact same behaviour, so I turned SELinux back on. Also, SELinux is generating no warnings (except those generated by WINE, but that's unrelated) All viewers are broken now, but Firestorm is the only one that provides useful troubleshooting data. The official viewer just segfaults without printing any reason: ./secondlife: line 131: 1936 Segmentation fault (core dumped) $LL_WRAPPER bin/do-not-directly-run-secondlife-bin "$ {gridargs[@]} " "$@" Bad shutdown ($LL_RUN_ERR). ***
          Hide
          Scottie Melnik added a comment -

          I run CentOS 6 and I ran into the exact same problem. It turned out that during my recent kernel upgrade, the nouveau driver was snaked back in. It looks like you have NVidia drivers, so try running "lsmod | grep nouveau" and "lspci -vv | grep nouveau". The lsmod should be blank. The lspci will only have one line, but it should NOT be "Kernel driver in use: nouveau".

          I didn't even install my system with nouveau, but they snuck in somehow. So I had to follow the directions here: http://www.linuxquestions.org/questions/ubuntu-63/nouveau-kernel-driver-825432.

          Basically you blacklist the nouveau drivers, rebuild initramfs, and then reboot to command line. Then run NVidia driver setup again and restart into X. You should be good to go.

          Let me know if that works for you.

          Show
          Scottie Melnik added a comment - I run CentOS 6 and I ran into the exact same problem. It turned out that during my recent kernel upgrade, the nouveau driver was snaked back in. It looks like you have NVidia drivers, so try running "lsmod | grep nouveau" and "lspci -vv | grep nouveau". The lsmod should be blank. The lspci will only have one line, but it should NOT be "Kernel driver in use: nouveau". I didn't even install my system with nouveau, but they snuck in somehow. So I had to follow the directions here: http://www.linuxquestions.org/questions/ubuntu-63/nouveau-kernel-driver-825432 . Basically you blacklist the nouveau drivers, rebuild initramfs, and then reboot to command line. Then run NVidia driver setup again and restart into X. You should be good to go. Let me know if that works for you.
          Hide
          Keiran Rotaru added a comment -

          [keiran@hex ~]$ lsmod | grep nouveau
          [keiran@hex ~]$ lspci -vv | grep nouveau
          [keiran@hex ~]$

          Nope - instead, it shows "Kernel driver in use: nvidia" which is correct. I'm running the proprietary Nvidia drivers, because the nouveau drivers made my whole system run like crap while it was installed.

          Show
          Keiran Rotaru added a comment - [keiran@hex ~] $ lsmod | grep nouveau [keiran@hex ~] $ lspci -vv | grep nouveau [keiran@hex ~] $ Nope - instead, it shows "Kernel driver in use: nvidia" which is correct. I'm running the proprietary Nvidia drivers, because the nouveau drivers made my whole system run like crap while it was installed.
          Hide
          Butter Roux added a comment -

          Confirming this issue. Also using nvidia.

          uname -rsvio
          Linux 3.4.6-2.fc17.x86_64 #1 SMP Thu Jul 19 22:54:16 UTC 2012 x86_64 GNU/Linux

          cat /etc/issue
          Fedora release 17 (Beefy Miracle)

          Also note that running `linux32` prior did not resolve the issue as I might have expected.

          Show
          Butter Roux added a comment - Confirming this issue. Also using nvidia. uname -rsvio Linux 3.4.6-2.fc17.x86_64 #1 SMP Thu Jul 19 22:54:16 UTC 2012 x86_64 GNU/Linux cat /etc/issue Fedora release 17 (Beefy Miracle) Also note that running `linux32` prior did not resolve the issue as I might have expected.
          Hide
          Mysty Saunders added a comment - - edited

          Keiran - Did this appear before your linux kernel updated or was this a problem before? Anywho, just for giggles try running an older kernel (you can make that selection in Grub) and see if that problem is there.

          Please let us know how that goes either way.

          Mysty

          Show
          Mysty Saunders added a comment - - edited Keiran - Did this appear before your linux kernel updated or was this a problem before? Anywho, just for giggles try running an older kernel (you can make that selection in Grub) and see if that problem is there. Please let us know how that goes either way. Mysty
          Hide
          Keiran Rotaru added a comment -

          no go - I tried loading the previous kernel and the one before that. Same behavior.

          Show
          Keiran Rotaru added a comment - no go - I tried loading the previous kernel and the one before that. Same behavior.
          Hide
          Mysty Saunders added a comment -

          Ok, im going to download and install on vbox FED-17-64. Ill see if I can duplicate and then find a solution. Might be a couple days. Keep watching this Jira.

          Hopefully Ill have good news soon

          Show
          Mysty Saunders added a comment - Ok, im going to download and install on vbox FED-17-64. Ill see if I can duplicate and then find a solution. Might be a couple days. Keep watching this Jira. Hopefully Ill have good news soon
          Hide
          mond added a comment -

          can be also set als fixed, solution install openssl-1.0.1d-r1

          duplicate to: http://jira.phoenixviewer.com/browse/FIRE-9147

          Show
          mond added a comment - can be also set als fixed, solution install openssl-1.0.1d-r1 duplicate to: http://jira.phoenixviewer.com/browse/FIRE-9147
          Hide
          Techwolf Lupindo added a comment -

          openssl-1.0.1d-r1 is a gentoo package, not fedora.

          Show
          Techwolf Lupindo added a comment - openssl-1.0.1d-r1 is a gentoo package, not fedora.
          Hide
          Butter Roux added a comment -

          For what it's worth, this seems to be working ok now in Fedora 18 (and presumably 19). It can probably be closed.

          Show
          Butter Roux added a comment - For what it's worth, this seems to be working ok now in Fedora 18 (and presumably 19). It can probably be closed.

            People

            • Assignee:
              Techwolf Lupindo
              Reporter:
              Keiran Rotaru
            • Votes:
              1 Vote for this issue
              Watchers:
              6 Start watching this issue

              Dates

              • Created:
                Updated: